Package org.kapott.hbci.sepa.jaxb.pain_002_002_02

# Class StatusReasonInformationSEPA

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_002_002_02.StatusReasonInformationSEPA

public class StatusReasonInformationSEPA extends Object

Java class for StatusReasonInformationSEPA complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="StatusReasonInformationSEPA">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="StsOrgtr" type="{urn:swift:xsd:$pain.002.002.02}PartyIdentificationSEPA1" minOccurs="0"/>
             <element name="StsRsn" type="{urn:swift:xsd:$pain.002.002.02}StatusReason1Choice" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected PartyIdentificationSEPA1`
`stsOrgtr`
`protected StatusReason1Choice`
`stsRsn`

## Constructor Summary

Constructors
Constructor
Description
`StatusReasonInformationSEPA()`

## Method Summary

Modifier and Type
Method
Description
`PartyIdentificationSEPA1`
`getStsOrgtr()`
Gets the value of the stsOrgtr property.
`StatusReason1Choice`
`getStsRsn()`
Gets the value of the stsRsn property.
`void`
`setStsOrgtr(PartyIdentificationSEPA1 value)`
Sets the value of the stsOrgtr property.
`void`
`setStsRsn(StatusReason1Choice value)`
Sets the value of the stsRsn property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### stsOrgtr

protected PartyIdentificationSEPA1 stsOrgtr

### stsRsn

protected StatusReason1Choice stsRsn

## Constructor Details

### StatusReasonInformationSEPA

public StatusReasonInformationSEPA()

## Method Details

### getStsOrgtr

public PartyIdentificationSEPA1 getStsOrgtr()
Gets the value of the stsOrgtr property.

Returns:
  possible object is `PartyIdentificationSEPA1`

### setStsOrgtr

public void setStsOrgtr(PartyIdentificationSEPA1 value)
Sets the value of the stsOrgtr property.

Parameters:
  `value` - allowed object is `PartyIdentificationSEPA1`

### getStsRsn

public StatusReason1Choice getStsRsn()
Gets the value of the stsRsn property.

Returns:
  possible object is `StatusReason1Choice`

### setStsRsn

public void setStsRsn(StatusReason1Choice value)
Sets the value of the stsRsn property.

Parameters:
  `value` - allowed object is `StatusReason1Choice`